Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 413541 - =app-portage/gentoolkit-0.3.0.6 revdep-rebuild not detected libicui18n.so.48 needed by qt-core
Summary: =app-portage/gentoolkit-0.3.0.6 revdep-rebuild not detected libicui18n.so.48 ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
: 413587 413973 414941 415387 416459 (view as bug list)
Depends on:
Blocks: CVE-2011-4599
  Show dependency tree
 
Reported: 2012-04-25 15:45 UTC by David Kredba
Modified: 2013-02-01 08:52 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kredba 2012-04-25 15:45:16 UTC
=app-portage/gentoolkit-0.3.0.6 revdep-rebuild not detected libicui18n.so.48 needed by kmimetypefinder:

revdep-rebuild -pv --ignore
-cut-
revdep-rebuild environment:
SEARCH_DIRS="/bin
/lib
/lib32
/lib64
/opt/bin
/opt/eagle-5.11.0/bin
/opt/petrify
/opt/solve-resolve/bin
/opt/ucsc-genome-browser/bin
/sbin
/usr/bin
/usr/games/bin
/usr/games/lib
/usr/games/lib32
/usr/games/lib64
/usr/lib
/usr/libexec
/usr/libexec/gnat-gcc/x86_64-pc-linux-gnu/4.4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3
/usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/32
/usr/lib/postgresql
/usr/lib/qt4
/usr/lib32
/usr/lib32/OpenCL/vendors/nvidia
/usr/lib32/opengl/xorg-x11/lib
/usr/lib32/qt4
/usr/lib64
/usr/lib64/fltk-1
/usr/lib64/gnat-gcc/x86_64-pc-linux-gnu/4.4
/usr/lib64/gnat-gcc/x86_64-pc-linux-gnu/4.4/adalib
/usr/lib64/itcl3.4/
/usr/lib64/itk3.4/
/usr/lib64/ncbi-tools++
/usr/lib64/octave-3.6.1
/usr/lib64/opencascade-6.5/ros/lin/bin
/usr/lib64/opencascade-6.5/ros/lin/lib64
/usr/lib64/OpenCL/vendors/nvidia
/usr/lib64/opengl/xorg-x11/lib
/usr/lib64/postgresql
/usr/lib64/postgresql-8.4/lib64/
/usr/lib64/postgresql-9.1/lib64/
/usr/lib64/qca2
/usr/lib64/qt4
/usr/lib64/R/lib
/usr/lib64/root
/usr/local/lib
/usr/local/lib32
/usr/local/lib64
/usr/sbin
/usr/x86_64-pc-linux-gnu/gcc-bin/4.6.3
/usr/x86_64-pc-linux-gnu/gnat-gcc-bin/4.4
/usr/x86_64-pc-linux-gnu/lib"
SEARCH_DIRS_MASK="/lib/modules
/lib64/modules
/opt/icedtea-bin-6.1.11.1
/opt/icedtea-bin-7.2.1"
LD_LIBRARY_MASK="libjava.so
libjawt.so
libjvm.so
libodbcinst.so
libodbc.so"
PORTAGE_ROOT="/"
EMERGE_OPTIONS=""
ORDER_PKGS="1"
FULL_LD_PATH="1"
-cut-

* Assigning files to packages
 *   /usr/libexec/WebKitPluginProcess -> net-libs/webkit-gtk
 *   /usr/lib64/kde4/kexidb_sqlite3_icu.so -> app-office/calligra
 *   /usr/lib64/libjavascriptcoregtk-3.0.so.0.13.1 -> net-libs/webkit-gtk
 *   /usr/lib64/libreoffice/program/i18npool.uno.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libbf_svxlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libbf_swlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libeditenglo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libfrmlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/liblnglo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/liblwpftlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libmswordlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libsvtlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libsvxlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libswlo.so -> app-office/libreoffice
 *   /usr/lib64/libreoffice/program/libvcllo.so -> app-office/libreoffice
 *   /usr/lib64/libwebkitgtk-3.0.so.0.13.1 -> net-libs/webkit-gtk
 *   /usr/lib64/libwebkit2gtk-3.0.so.0.13.1 -> net-libs/webkit-gtk
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot --quiet-build=n --pretend --verbose app-office/calligra:4 app-office/libreoffice:0 net-libs/webkit-gtk:3


kmimetypefinder
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: sdílený objektový soubor nelze otevřít: Adresář nebo soubor neexistuje)"

Reproducible: Always

Steps to Reproduce:
1.Run revdep-rebuild on system after icu-49 upgraded.
2.
3.



Portage 2.2.0_alpha101 (default/linux/amd64/10.0/desktop, gcc-4.6.3, glibc-2.15-r1, 3.3.2-gentoo x86_64)
=================================================================
System uname: Linux-3.3.2-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9550_@_2.83GHz-with-gentoo-2.1
Timestamp of tree: Wed, 25 Apr 2012 15:00:01 +0000
app-shells/bash:          4.2_p24-r1
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3, 3.2.2-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs compressdebug distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe -ggdb -march=native"
GENTOO_MIRRORS="ftp://gentoo.mirror.web4u.cz/"
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="cs en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="echo"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gmp gpm gtk iconv idn ithreads java jpeg jpeg2k kde lcms ldap libnotify lzma mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly objc objc++ objc-gc odbc ogg openexr opengl openmp pam pango pcre pdf png policykit ppds pppd qt3support qt4 quad readline samba sasl sdl session slang speex spell sqlite sse sse2 sse4_1 ssl ssse3 startup-notification svg sysfs tcl tcpd threads tiff tk truetype udev unicode usb v4l vorbis wavpack wxwidgets x264 xattr xcb xinerama xml xorg xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2 canon hp215 sony_dscf1 sony_dscf55" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs en" LIRC_DEVICES="inputlirc pctv hauppauge hauppauge_dvb devinput" PHP_TARGETS="php5-4" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 David Kredba 2012-04-25 15:48:19 UTC
ldd /usr/bin/kmimetypefinder 
        linux-vdso.so.1 (0x00007fff279ff000)
        libkdecore.so.5 => /usr/lib64/libkdecore.so.5 (0x00007f138cbee000)
        libQtCore.so.4 => /usr/lib64/qt4/libQtCore.so.4 (0x00007f138c716000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f138c36f000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f138c152000)
        libQtNetwork.so.4 => /usr/lib64/qt4/libQtNetwork.so.4 (0x00007f138be03000)                                                            
        libQtDBus.so.4 => /usr/lib64/qt4/libQtDBus.so.4 (0x00007f138bb85000)                                                                  
        libz.so.1 => /lib64/libz.so.1 (0x00007f138b96f000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f138b75f000)
        liblzma.so.5 => /usr/lib64/liblzma.so.5 (0x00007f138b53c000)
        libfam.so.0 => /usr/lib64/libfam.so.0 (0x00007f138b335000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/libstdc++.so.6 (0x00007f138b031000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f138ad3e000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f138ab35000)
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f138a813000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f138a60f000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/libgcc_s.so.1 (0x00007f138a3f9000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f138d0db000)
        libQtXml.so.4 => /usr/lib64/qt4/libQtXml.so.4 (0x00007f138a1b4000)
        libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007f1389f77000)
        libelf.so.1 => /usr/lib64/libelf.so.1 (0x00007f1389d62000)

It is one of the libreries linked.
Comment 2 David Kredba 2012-04-25 16:01:10 UTC
I do not understand the situation at all.

./kmimetypefinder freshly built during rebuild of the package in
/var/tmp/portage/kde-base/kmimetypefinder-4.8.2/work/kmimetypefinder-4.8.2_build/kmimetypefinder
is broken too:

./kmimetypefinder
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: sdílený objektový soubor nelze otevřít: Adresář nebo soubor neexistuje)" 
No filename specified

srv5 kmimetypefinder # ldd ./kmimetypefinder
        linux-vdso.so.1 (0x00007fffd17ff000)
        libkdecore.so.5 => /usr/lib64/libkdecore.so.5 (0x00007f75e39b4000)
        libQtCore.so.4 => /usr/lib64/qt4/libQtCore.so.4 (0x00007f75e34dc000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f75e3135000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f75e2f18000)
        libQtNetwork.so.4 => /usr/lib64/qt4/libQtNetwork.so.4 (0x00007f75e2bc9000)
        libQtDBus.so.4 => /usr/lib64/qt4/libQtDBus.so.4 (0x00007f75e294b000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f75e2735000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f75e2525000)
        liblzma.so.5 => /usr/lib64/liblzma.so.5 (0x00007f75e2302000)
        libfam.so.0 => /usr/lib64/libfam.so.0 (0x00007f75e20fb000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/libstdc++.so.6 (0x00007f75e1df7000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f75e1b04000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f75e18fb000)
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f75e15d9000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f75e13d5000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/libgcc_s.so.1 (0x00007f75e11bf000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f75e3ea1000)
        libQtXml.so.4 => /usr/lib64/qt4/libQtXml.so.4 (0x00007f75e0f7a000)
        libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007f75e0d3d000)
        libelf.so.1 => /usr/lib64/libelf.so.1 (0x00007f75e0b28000)
Comment 3 David Kredba 2012-04-25 16:03:07 UTC
automoc4 
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: sdílený objektový soubor nelze otevřít: Adresář nebo soubor neexistuje)" 
Usage: automoc4 <outfile> <srcdir> <builddir> <moc executable> <cmake executable> [--touch]
Comment 4 David Kredba 2012-04-25 16:13:15 UTC
strace automoc4 
execve("/usr/bin/automoc4", ["automoc4"], [/* 201 vars */]) = 0
brk(0)                                  = 0x200e000

-cut-
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=456592, ...}) = 0
mmap(NULL, 456592, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f6108e1b000
close(4)                                = 0
open("/lib64/tls/x86_64/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/lib64/tls/x86_64", 0x7fff2eb28550) = -1 ENOENT (No such file or directory)
open("/lib64/tls/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/lib64/tls", 0x7fff2eb28550)      = -1 ENOENT (No such file or directory)
open("/lib64/x86_64/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/lib64/x86_64", 0x7fff2eb28550)   = -1 ENOENT (No such file or directory)
open("/lib64/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/lib64", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
open("/usr/lib64/tls/x86_64/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/tls/x86_64", 0x7fff2eb28550) = -1 ENOENT (No such file or directory)
open("/usr/lib64/tls/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/tls", 0x7fff2eb28550)  = -1 ENOENT (No such file or directory)
open("/usr/lib64/x86_64/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/x86_64", 0x7fff2eb28550) = -1 ENOENT (No such file or directory)
open("/usr/lib64/icui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib64", {st_mode=S_IFDIR|0755, st_size=266240, ...}) = 0
munmap(0x7f6108e1b000, 456592)          = 0
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=456592, ...}) = 0
mmap(NULL, 456592, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f6108e1b000
close(4)                                = 0
open("/lib64/icui18n.so.48", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib64/icui18n.so.48", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
munmap(0x7f6108e1b000, 456592)          = 0
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=456592, ...}) = 0
mmap(NULL, 456592, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f6108e1b000
close(4)                                = 0
open("/lib64/libicui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib64/libicui18n", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
munmap(0x7f6108e1b000, 456592)          = 0
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=456592, ...}) = 0
mmap(NULL, 456592, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f6108e1b000
close(4)                                = 0
open("/lib64/libicui18n.so.48", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib64/libicui18n.so.48", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
munmap(0x7f6108e1b000, 456592)          = 0
open("/usr/share/locale/locale.alias", O_RDONLY|O_CLOEXEC) = 4
fcntl(4, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
fstat(4, {st_mode=S_IFREG|0644, st_size=2570, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f6108efb000
read(4, "# Locale name alias data base.\n#"..., 4096) = 2570
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f6108efb000, 4096)            = 0
open("/usr/share/locale/cs_CZ.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/cs_CZ.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/cs_CZ/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/cs.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/cs.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/cs/LC_MESSAGES/libc.mo", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=145353, ...}) = 0
mmap(NULL, 145353, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f6108ed8000
close(4)                                = 0
write(2, "Unable to load library icui18n \""..., 161Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: sdílený objektový soubor nelze otevřít: Adresář nebo soubor neexistuje)" 
) = 161
stat("/proc/17473/exe", {st_mode=S_IFREG|0755, st_size=60344, ...}) = 0
lstat("/proc/17473/exe", {st_mode=S_IFLNK|0777, st_size=0, ...}) = 0
lstat("/proc", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
lstat("/proc/17473", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
lstat("/proc/17473/exe", {st_mode=S_IFLNK|0777, st_size=0, ...}) = 0
readlink("/proc/17473/exe", "/usr/bin/automoc4", 4095) = 17
lstat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/bin", {st_mode=S_IFDIR|0755, st_size=237568, ...}) = 0
lstat("/usr/bin/automoc4", {st_mode=S_IFREG|0755, st_size=60344, ...}) = 0
stat("/usr/bin/qt.conf", 0x7fff2eb29520) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/qt4/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib64", {st_mode=S_IFDIR|0755, st_size=266240, ...}) = 0
lstat("/usr/lib64/qt4", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib64/qt4/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/bin", {st_mode=S_IFDIR|0755, st_size=237568, ...}) = 0
stat("/usr/bin", {st_mode=S_IFDIR|0755, st_size=237568, ...}) = 0
lstat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib64", {st_mode=S_IFDIR|0755, st_size=266240, ...}) = 0
lstat("/usr/lib64/kde4", {st_mode=S_IFDIR|0755, st_size=69632, ...}) = 0
lstat("/usr/lib64/kde4/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
pipe2([4, 5], O_NONBLOCK|O_CLOEXEC)     = 0
rt_sigaction(SIGCHLD, {0x7f61089652e0, [], SA_RESTORER|SA_NOCLDSTOP, 0x7f6107f81c00}, {SIG_DFL, [], 0}, 8) = 0
lseek(2, 0, SEEK_CUR)                   = -1 ESPIPE (Illegal seek)
fstat(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f6108ed7000
lseek(1, 0, SEEK_CUR)                   = -1 ESPIPE (Illegal seek)
fstat(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
brk(0x2051000)                          = 0x2051000
write(1, "Usage: automoc4 <outfile> <srcdi"..., 92Usage: automoc4 <outfile> <srcdir> <builddir> <moc executable> <cmake executable> [--touch]
) = 92
brk(0x2049000)                          = 0x2049000
write(5, "@", 1)                        = 1
close(5)                                = 0
close(4)                                = 0
rt_sigaction(SIGCHLD, NULL, {0x7f61089652e0, [], SA_RESTORER|SA_NOCLDSTOP, 0x7f6107f81c00}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL, [], SA_RESTORER, 0x7f6107f81c00}, NULL, 8) = 0
exit_group(1) 


Something locale retrieval related?
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2012-04-25 16:34:28 UTC
Would that be /usr/kde/4.0/bin/kmimetypefinder?
Comment 6 David Kredba 2012-04-25 16:49:46 UTC
It is /usr/bin/kmimetypefinder. But more KDE binaries are complaining about, like automoc4 in /usr/bin.
Comment 7 Per Pomsel 2012-04-26 07:35:26 UTC
I can confirm this bug.
revdep-rebuild didn't find anything, but several kde-apps complain about missing library libicui18n.so.48.
/usr/bin/konsole, /usr/bin/kwriteconfig and many others are complaining.
As you can see, other people have this issue too (https://bugs.gentoo.org/show_bug.cgi?id=410777#c18).
Comment 8 Michael Palimaka (kensington) gentoo-dev 2012-04-26 17:50:45 UTC
I also ran into a problem with revdep-rebuild not detecting all needed rebuilds after the icu update. In my case, it turned out to be either qt-core or qt-webkit that needed rebuilding.
Comment 9 David Kredba 2012-04-26 18:38:08 UTC
Ha!

It was the qt-core!

Thank you very much.


How you found it please?
Comment 10 Lars Wendler (Polynomial-C) gentoo-dev 2012-04-26 18:38:21 UTC
*** Bug 413587 has been marked as a duplicate of this bug. ***
Comment 11 Paul Varner (RETIRED) gentoo-dev 2012-04-26 19:49:28 UTC
I've reproduced this on my development system and libicu18n.so.48 is not in the ldd output or the needed sections when using scanelf in any of the linked libraries.  

Because of this, I don't see how this breakage can be detected by revdep-rebuild or the preserved-libs feature in portage 2.2.  

It appears to me that something in libQtCore.so.4 is trying to dynamically load the library and failing.
Comment 12 Mike Gilbert gentoo-dev 2012-04-26 20:13:56 UTC
(In reply to comment #11)
> It appears to me that something in libQtCore.so.4 is trying to dynamically
> load the library and failing.

Yes, it appears that x11-libs/qt-core has an automagic dependency on dev-libs/icu. See the CFG_ICU variable in the qt-core configure script.

This is used in src/corelib/tools/tools.pri to conditionally compile qlocale_icu.cpp, which tries to load libicui18n at runtime.
Comment 13 Davide Pesavento gentoo-dev 2012-04-26 21:18:57 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > It appears to me that something in libQtCore.so.4 is trying to dynamically
> > load the library and failing.
> 
> Yes, it appears that x11-libs/qt-core has an automagic dependency on
> dev-libs/icu. See the CFG_ICU variable in the qt-core configure script.
> 
> This is used in src/corelib/tools/tools.pri to conditionally compile
> qlocale_icu.cpp, which tries to load libicui18n at runtime.

I am aware of that. The problem is that qt-core tries to load the particular versions of icui18n and icuuc that were available at build-time (but this might be an issue with the way we build icu itself).

Anyway, even if icu libraries are uninstalled, everything (i.e. applications) should still work fine.
Comment 14 Lars Wendler (Polynomial-C) gentoo-dev 2012-04-29 12:18:09 UTC
*** Bug 413973 has been marked as a duplicate of this bug. ***
Comment 15 Toralf Förster gentoo-dev 2012-05-10 17:20:47 UTC
(In reply to comment #13)
> Anyway, even if icu libraries are uninstalled, everything (i.e.
> applications) should still work fine.
No, libreoffice-3.5.5.2 (localc) didn't started and KDE 4.8.3 login doesn't worked (but revdep-rebuild worked out those issues, see bug #415387)
Comment 16 David Kredba 2012-05-10 18:47:04 UTC
What about to change description of this bug?

Revdep-rebuild works fine, qt-core is the problem source here.
Comment 17 Toralf Förster gentoo-dev 2012-05-10 19:14:15 UTC
*** Bug 415387 has been marked as a duplicate of this bug. ***
Comment 18 Davide Pesavento gentoo-dev 2012-05-14 20:47:22 UTC
Function renaming in icu will be disabled at the next ABI break (i.e. icu-50), thus there's nothing we can do for now, except adding an ewarn to icu-49.x ebuilds suggesting to rebuild x11-libs/qt-core. Assigning to icu maintainer.
Comment 19 Johannes Huber gentoo-dev 2012-05-19 07:40:40 UTC
*** Bug 414941 has been marked as a duplicate of this bug. ***
Comment 20 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-19 17:00:08 UTC
*** Bug 416459 has been marked as a duplicate of this bug. ***
Comment 21 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-05-19 17:34:51 UTC
Should Qt's icu detection really be automagic? That doesn't sound good.
Comment 22 Arfrever Frehtes Taifersar Arahesis 2012-05-19 18:11:01 UTC
(In reply to comment #18)
> Function renaming in icu will be disabled at the next ABI break (i.e.
> icu-50), thus there's nothing we can do for now, except adding an ewarn to
> icu-49.x ebuilds suggesting to rebuild x11-libs/qt-core.

Even if function renaming is disabled in ICU 50 ebuilds and ICU 51 ebuilds, then   x11-libs/qt-core would still have to be rebuilt after upgrading from ICU 50 to ICU 51.
Comment 23 Davide Pesavento gentoo-dev 2012-05-19 18:37:39 UTC
(In reply to comment #22)
> (In reply to comment #18)
> > Function renaming in icu will be disabled at the next ABI break (i.e.
> > icu-50), thus there's nothing we can do for now, except adding an ewarn to
> > icu-49.x ebuilds suggesting to rebuild x11-libs/qt-core.
> 
> Even if function renaming is disabled in ICU 50 ebuilds and ICU 51 ebuilds,
> then   x11-libs/qt-core would still have to be rebuilt after upgrading from
> ICU 50 to ICU 51.

No. I intend to patch qt-core to dlopen() whatever version of icu is available on the system at run-time.
Comment 24 Davide Pesavento gentoo-dev 2012-05-19 18:44:13 UTC
(In reply to comment #21)
> Should Qt's icu detection really be automagic? That doesn't sound good.

That's a separate and orthogonal matter.
Even if we added USE=icu to qt-core, people with it enabled would still be affected by this issue because libicui18n and libicuuc are not in DT_NEEDED for libQtCore.so
Comment 25 Mike Gilbert gentoo-dev 2012-05-19 20:05:26 UTC
Just want to voice my thoughts:

Having a use flag and conditional dependency would at least make the relationship between qt-core and icu visible to tools like equery depends, qdepend -Q, pquery --revdep, etc. It could also allow icu support to be explicitly disabled at build time.

It would be nice if libQtCore would actually include some indication of what code is trying to load icui18n; it currently shows up as messages on the console from many random applications. Do you think Qt upstream would be open to such a change?
Comment 26 Davide Pesavento gentoo-dev 2012-05-20 10:40:58 UTC
(In reply to comment #25)
> Just want to voice my thoughts:
> 
> Having a use flag and conditional dependency would at least make the
> relationship between qt-core and icu visible to tools like equery depends,
> qdepend -Q, pquery --revdep, etc. It could also allow icu support to be
> explicitly disabled at build time.
> 

Yeah, I totally agree, USE=icu in qt-core is already scheduled to be implemented for Qt 4.8.2 (due next week), I didn't want to touch 4.8.1 since it's being stabilized.

> It would be nice if libQtCore would actually include some indication of what
> code is trying to load icui18n; it currently shows up as messages on the
> console from many random applications. Do you think Qt upstream would be
> open to such a change?

I think so, they're quite open to contributions. You'd need to check if the same applies to qt5 and land the patch there before backporting it to the 4.8 branch.
Comment 27 Richard Freeman gentoo-dev 2012-05-20 13:57:08 UTC
Wouldn't a news item make sense for this, or a bump on qt-core to force a rebuild?

The blog post was very helpful, as I just ran into this 10 minutes before reading this and hadn't looked into it yet.  However, not everybody reads planet, and it isn't really a substitute for news.

Long-term I agree that there are better ways to handle this, but for the moment it probably would both alleviate user pain, and cut down on the dups.
Comment 28 Davide Pesavento gentoo-dev 2012-05-20 18:04:52 UTC
It seems there was a fundamental lack of communication on this issue.
The qt team didn't know that icu-49 was going stable in bug 394201, that's why I didn't bother to introduce USE=icu in qt-core-4.8.1.

Now that both qt-core-4.8.1 and icu-49 are stable, this issue affects the stable tree too, which is very very bad. I'm going to commit a qt-core revbump that depends on >=icu-49 (if USE=icu is enabled) to force a rebuild, and fast-track it to stable.

Comments? Other ideas?
Comment 29 Davide Pesavento gentoo-dev 2012-05-20 20:10:48 UTC
*qt-core-4.8.1-r3 (20 May 2012)

  20 May 2012; Davide Pesavento <pesa@gentoo.org> +qt-core-4.8.1-r3.ebuild:
  Revbump introducing icu USE flag and forcing >=icu-49 to workaround bug
  #413541.
Comment 30 orionbelt2 2012-05-21 00:47:11 UTC
I just had the same problem from the proprietary nvidia driver while launching X (startkde). It could not load dri/dri2 and complained with the error message:

Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: cannot open shared object file: No such file or directory)"

I had to downgrad to dev-libs/icu-4.8.1.1-r1 to start X.
Comment 31 Davide Pesavento gentoo-dev 2012-05-22 22:14:49 UTC
Assigning to qt, since we applied a workaround on our side...